Create stream assets for event lobby or exhibitor Aceelevents RTMP or direct upload stream provider

Generate streaming assets for lobby/exhibitor. Using this API, you can generate streamKey & rtmpUrl for Aceelevents RTMP or direct upload assets for direct upload stream provider returned in response.

For Accelevents RTMP combining streamKey and rtmpUrl you will create a streaming endpoint and configure it within your broadcasting software. For more information, checkout this link, https://docs.mux.com/guides/video/configure-broadcast-software.

For example:
If API return below rtmpUrl and streamKey
rtmpUrl: “rtmp://live.mux.com/app”
streamKey: “a42ccb8f-dce1-00f8-3552-504d14b43724”
then final endpoint will be rtmp://live.mux.com/app/a42ccb8f-dce1-00f8-3552-504d14b43724.

For direct upload lobby/exhibitor, first you need to create direct upload assets on MUX and for more details for how to create direct upload assets and use, checkout this link : https://developer.accelevents.com/reference/create-upload-video-url-for-session, and as API response you will get directUploadId that you need to pass in current API as body parameter.

User need to pass type for identify stream type EX : LOBBY, EXPO & streamProvider for identify lobby/exhibitor stream provider like : DIRECT_UPLOAD, ACCELEVENTS.

This API can be used by authenticated user only, and it will require super admin/event admin/event staff level access. User need to pass an authentication token as header and type and streamProvider as query parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributeDescription
streamProviderIt's identify session stream provider, it can be ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD.
subStreamProviderIt's identify session sub stream provider, it can be VOXEET, CHIME, OPENTOK, AGORA.
streamUrlIt's a session stream endpoint.
streamKeyUnique key used for streaming to a Mux RTMP endpoint. This should be considered as sensitive as credentials, anyone with this stream key can begin streaming.
rtmpUrlMux's standard RTMP entry point. Compatible with the majority of streaming applications and services.
accelEventsStudioIt returns true if stream provider is ACCELEVENTS else false.
playBackRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for playing videos. For instance, viewers can play videos embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any Video requests from other websites are denied.
thumbnailRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for thumbnails. For instance, viewers can view thumbnails embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any thumbnails request from other websites are denied.
metaDataDetails of created stream key details in JSON. Which is generated after creating stream key.
liveStreamIdUnique identifier for the live stream. This is an optional parameter added when the session created from a live stream.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host
4068912Can not generate stream key, live stream in process.
404800Session not found!
4044005Mux live stream status not available.
4044004Mux live stream can not create.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
string

Identify stream type EX : LOBBY,EXPO

string

For identify stream provider EX : ACCELEVENTS,DIRECT_UPLOAD

Body Params
directUploadDto
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json